Bug 57925 - php-4.0.6 define oracle 1 rebuild broken in spec for oci8 package
php-4.0.6 define oracle 1 rebuild broken in spec for oci8 package
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: php (Show other bugs)
7.2
All Linux
medium Severity low
: ---
: ---
Assigned To: Phil Copeland
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-01 23:16 EST by Christian Pearce
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-09 11:21:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Pearce 2002-01-01 23:16:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3-20mdk-win4lin i686)

Description of problem:
When you rebuild from source rpm of the current version stock Redhat 7.2. 
It is missing the Group and Summary information in the package.  I am
giving it a Low status because the workaround is to install the source and
build from spec.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rpm --rebuild --define 'oracle 1' php

Actual Results:  Installing /usr/local/tar/php-4.0.6-7.src.rpm
error: Summary field must be present in package: php-oci8
error: Group field must be present in package: php-oci8

Expected Results:  It should give you a happy ending.  Note php-oci8.

Processing files: php-oci8-4.0.6-7
Finding  Provides: (using /usr/lib/rpm/find-provides)...
Finding  Requires: (using /usr/lib/rpm/find-requires)...
Provides: oci8.so
PreReq: /bin/sh /bin/sh rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
Requires(interp): /bin/sh /bin/sh
Requires(rpmlib): rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
Requires(post): /bin/sh
Requires(preun): /bin/sh
Requires: ld-linux.so.2 libclntsh.so.8.0 libc.so.6 libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1.3)
Wrote: /usr/src/redhat/SRPMS/php-4.0.6-7.src.rpm
Wrote: /usr/src/redhat/RPMS/i386/php-4.0.6-7.i386.rpm
Wrote: /usr/src/redhat/RPMS/i386/php-devel-4.0.6-7.i386.rpm
Wrote: /usr/src/redhat/RPMS/i386/php-imap-4.0.6-7.i386.rpm
Wrote: /usr/src/redhat/RPMS/i386/php-ldap-4.0.6-7.i386.rpm
Wrote: /usr/src/redhat/RPMS/i386/php-manual-4.0.6-7.i386.rpm
Wrote: /usr/src/redhat/RPMS/i386/php-mysql-4.0.6-7.i386.rpm
Wrote: /usr/src/redhat/RPMS/i386/php-pgsql-4.0.6-7.i386.rpm
Wrote: /usr/src/redhat/RPMS/i386/php-odbc-4.0.6-7.i386.rpm
Wrote: /usr/src/redhat/RPMS/i386/php-oci8-4.0.6-7.i386.rpm
Executing(%clean): /bin/sh -e /var/tmp/rpm-tmp.69341
+ umask 022
+ cd /usr/src/redhat/BUILD
+ cd php-4.0.6
+ '[' /var/tmp/php-root '!=' / ']'
+ rm -rf /var/tmp/php-root
+ exit 0

Additional info:

I took the time to look at rawhide php-4.0.6-13 and the package definition
is there but you are no longer building oci8 as a package.  It not a
./configure --enable-oracle.  Meaning it is not being built as a dynamic
module. Yet a file section still exists for the .so.  For this matter I
haven't seen any of the lines for building any of the modules.  I can't
imagine this package actually works.  Grant it is rawhide.  Please don't
move away from having the modules it is a good thing.
Comment 1 Phil Copeland 2002-01-09 09:36:14 EST
Errrk,...
where can I gt the oracle bits from? I don't have any oracle gear on my test
boxes at all so I can't actually test this at all 8(

Phil
=--=
Comment 2 Christian Pearce 2002-01-09 11:21:31 EST
You should install the client.  If you join the Oracle's Developer Network you
can get the media sent to you.  I can mail you a copy if you like.  Though you
shouldn't need oracle to reproduce this problem. And it is fixed in rawhide.  It
just doesn't work for all us 7.2 user's.

Note You need to log in before you can comment on or make changes to this bug.